Initiate Multi-Vehicle Movement
Initiate a multi-vehicle movement for an e-way bill.
NIC validations
View NIC validations
View NIC validations
- Eway bill should be active and valid.
- Valid reasonCode, state code and unitCode to be sent.
- totalQuantity should not be more than the quantity mentioned in eway bill for the first initiation
- After one group movement of consignment in multiple vehicles is initiated, requests for next group movement will consider the totalQuantity of previous group.
- If same JSON is passed without any change, new group will not be created.
Request body schema
View request body schema
Authorizations
E-Way Bill taxpayer access token returned by Authenticate.
Sandbox API key from your Sandbox account.
Headers
API version
NIC server for the session used by this request. primary selects NIC1. secondary selects NIC2. Defaults to primary. See NIC1 and NIC2 routing.
primary, secondary NIC server that receives the request. If omitted, the request goes to the server selected by x-source. When specified, selects the other server. See NIC1 and NIC2 routing.
primary, secondary Path Parameters
Body
E-Way Bill schema.
The ewbNo value.
291010080003
The fromPlace value.
"BANGALORE"
The fromState value.
29
The reasonCode value.
"1"
The reasonRem value.
"vehicle broke down"
The toPlace value.
"Beml Nagar"
The toState value.
24
The totalQuantity value.
33
The transMode value.
See transport modes.
"1"
The unitCode value.
See E-Way Bill units.
"NOS"
Response
200 Multi-vehicle movement initiated / 645 Part B already updated / 381 Part B is not updated / 646 Consignee cannot initiate multi-vehicle movement